Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 163572

Summary: notregex and notsubstring queries don't return all expected results
Product: [Community] Bugzilla Reporter: To Ngan <tngan>
Component: Bugzilla GeneralAssignee: PnT DevOps Devs <hss-ied-bugs>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Chandrasekar Kannan <ckannan>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.2CC: benl, kbaker
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-21 19:37:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description To Ngan 2005-07-19 00:25:19 UTC
Description of problem:
notregex and notsubstring queries seem to work against the status_whiteboard
field, but don't return all expected results when used against the other
*_whiteboards


Version-Release number of selected component (if applicable):
most recent RH bugzilla


How reproducible:
consistently


Steps to Reproduce:
1. This query returns 22 Fedora DS bugs (since none of them contains regex
"Screened" in the status_whiteboard field):
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&product=Fedora+Directory+Server&component_text=&query_format=advanced&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=notregexp&status_whiteboard=Screened&fixed_in_type=allwordssubstr&fixed_in=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&bugidtype=include&bug_id=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=


2. Same query except changing status_whiteboard to either qa_ or devel_ or
internal_whiteboard, it will only return 9 Fedora DS bugs (even though none of
them contains regex "Screened" in the *_whiteboard field):
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&product=Fedora+Directory+Server&component_text=&query_format=advanced&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&devel_whiteboard_type=notregexp&devel_whiteboard=Screened&fixed_in_type=allwordssubstr&fixed_in=&keywords_type=allwords&keywords=&cust_facing=&cust_facing_type=substring&emailassigned_to1=1&emailtype1=exact&email1=&emailassigned_to2=1&emailreporter2=1&emailqa_contact2=1&emailcc2=1&emailtype2=exact&email2=&bugidtype=include&bug_id=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=


Actual results:
The 2 queries return different results


Expected results:
Expect the 2 queries to return same results as all the same bugs contains the
same empty *_whiteboard fields.

Comment 1 David Lawrence 2006-04-08 17:44:35 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 2 David Lawrence 2008-09-16 16:53:00 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 3 Kevin Baker 2008-11-21 19:37:11 UTC
no reply == closed